IMain

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Interface IMain

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  MainImpl

    public interface IMain

extends java.rmi.Remote

Interface Main

Method Summary
`void` | `add()`
`void` | `add(int index, ICarte c)`
`java.lang.String` | `affiche()`
`boolean` | `estVide()`
`ICarte` | `get(int i)`
`int` | `indexOf(ICarte c)`
`void` | `remove(ICarte c)`
`void` | `remove(int i)`
`void` | `removeAll(java.util.ArrayList<ICarte> array)`
`void` | `remplirMain()`
`int` | `size()`

Method Detail

### remove

    void remove(ICarte c)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### remove

    void remove(int i)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### removeAll

    void removeAll(java.util.ArrayList<ICarte> array)
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### add

    void add()
             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### add

    void add(int index,
             ICarte c)
             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### remplirMain

    void remplirMain()
                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### indexOf

    int indexOf(ICarte c)
                throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### get

    ICarte get(int i)
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### size

    int size()
             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### estVide

    boolean estVide()
                    throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### affiche

    java.lang.String affiche()
                             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD